server:
  port: ${TMERCLUB_SECKILL_PORT:9115}
spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        server-addr: ${NACOS_HOST:101.37.204.35}:${NACOS_PORT:8848}
        username: nacos
        password: ${NACOS_PASSWORD:BYzL!Z3C}
        namespace: ${NACOS_NAMESPACE:}
        ip: ${HOSTIP:}
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
        namespace: ${spring.cloud.nacos.discovery.namespace}
logging:
  tracer:
    pattern: '%5p [${spring.application.name:},%X{X-B3-Parent-SpanName},%X{X-B3-TraceId},%X{X-B3-SpanId}]'

#  dubbo端口：默认为服务端口+2000
dubbo:
  protocol:
    port: ${tmerclub_DUBBO_PORT:11115}
    host: ${spring.cloud.nacos.discovery.ip}
  application:
    qos-port: ${tmerclub_DUBBOQOS_PORT:13115}
